#!/bin/sh
export PATH='/usr/local/sbin:/usr/local/bin:/usr/bin:/usr/bin/site_perl:/usr/bin/vendor_perl:/usr/bin/core_perl'
echo 'name:                 ghcide
version:              1.4.0.3
visibility:           public
id:                   ghcide-1.4.0.3-EBEJmb8CGCK7fAhaTonwPy
key:                  ghcide-1.4.0.3-EBEJmb8CGCK7fAhaTonwPy
license:              Apache-2.0
copyright:            Digital Asset and Ghcide contributors 2018-2020
maintainer:           Ghcide contributors
author:               Digital Asset and Ghcide contributors
homepage:
    https://github.com/haskell/haskell-language-server/tree/master/ghcide#readme

synopsis:             The core of an IDE
description:          A library for building Haskell IDE'\''s on top of the GHC API.
category:             Development
abi:                  93461c038862ee55ff22da03855382d4
exposed:              True
exposed-modules:
    Control.Concurrent.Strict Development.IDE
    Development.IDE.Core.Actions Development.IDE.Core.Compile
    Development.IDE.Core.Debouncer Development.IDE.Core.FileStore
    Development.IDE.Core.IdeConfiguration
    Development.IDE.Core.OfInterest
    Development.IDE.Core.PositionMapping
    Development.IDE.Core.Preprocessor
    Development.IDE.Core.ProgressReporting
    Development.IDE.Core.RuleTypes Development.IDE.Core.Rules
    Development.IDE.Core.Service Development.IDE.Core.Shake
    Development.IDE.Core.Tracing Development.IDE.Core.UseStale
    Development.IDE.GHC.Compat Development.IDE.GHC.Error
    Development.IDE.GHC.ExactPrint Development.IDE.GHC.Orphans
    Development.IDE.GHC.Util
    Development.IDE.Import.DependencyInformation
    Development.IDE.Import.FindImports
    Development.IDE.LSP.HoverDefinition
    Development.IDE.LSP.LanguageServer Development.IDE.LSP.Outline
    Development.IDE.LSP.Server Development.IDE.Main
    Development.IDE.Plugin Development.IDE.Plugin.CodeAction
    Development.IDE.Plugin.CodeAction.ExactPrint
    Development.IDE.Plugin.Completions
    Development.IDE.Plugin.Completions.Types Development.IDE.Plugin.HLS
    Development.IDE.Plugin.HLS.GhcIde Development.IDE.Plugin.Test
    Development.IDE.Plugin.TypeLenses Development.IDE.Session
    Development.IDE.Spans.AtPoint Development.IDE.Spans.Common
    Development.IDE.Spans.Documentation
    Development.IDE.Spans.LocalBindings
    Development.IDE.Types.Diagnostics Development.IDE.Types.Exports
    Development.IDE.Types.HscEnvEq Development.IDE.Types.KnownTargets
    Development.IDE.Types.Location Development.IDE.Types.Logger
    Development.IDE.Types.Options Development.IDE.Types.Shake
    Generics.SYB.GHC

hidden-modules:
    Development.IDE.Core.FileExists Development.IDE.GHC.CPP
    Development.IDE.GHC.Warnings Development.IDE.LSP.Notifications
    Development.IDE.Plugin.CodeAction.PositionIndexed
    Development.IDE.Plugin.CodeAction.Args
    Development.IDE.Plugin.Completions.Logic
    Development.IDE.Session.VersionCheck Development.IDE.Types.Action

import-dirs:          /usr/lib/ghc-9.0.1/site-local/ghcide-1.4.0.3
library-dirs:         /usr/lib/ghc-9.0.1/site-local/ghcide-1.4.0.3
dynamic-library-dirs: /usr/lib
data-dir:             /usr/share/x86_64-linux-ghc-9.0.1/ghcide-1.4.0.3
hs-libraries:         HSghcide-1.4.0.3-EBEJmb8CGCK7fAhaTonwPy
depends:
    Diff-0.4.0-F7vyJzYzam9CwrUJdg8bD2
    Glob-0.10.1-4n8uI5fOteuBazOEt4V4ba
    aeson-1.5.6.0-HjRPlMbeXBZ4yuplu15455 array-0.5.4.0
    async-2.2.3-KG7Du60y7DvAqBDAYoSjqL base-4.15.0.0
    base16-bytestring-1.0.1.0-HEKD2Oo8vtLxC8G87I8MD binary-0.8.8.0
    bytestring-0.10.12.1
    bytestring-encoding-0.1.1.0-FMNiBPhdLrzIfoURncVgog
    case-insensitive-1.2.1.0-3Jvgx8NTNrGIQPGdLKdwuc containers-0.6.4.1
    cryptohash-sha1-0.11.100.1-76A50UqL08yHXaRzujd3cE
    data-default-0.7.1.1-8aGzV3AyDr077p6b91gXPe deepseq-1.4.5.0
    dependent-map-0.4.0.0-FO96L8D77xP9u9VM4Ft9jB
    dependent-sum-0.7.1.0-AUG6pnslLK8GLnzL1v8vKT directory-1.3.6.1
    dlist-1.0-BmQe4lx0gldHtaeQvhsVhJ
    extra-1.7.10-3tDBYCQCoM76FUUqSWK3rB filepath-1.4.2.1
    fingertree-0.1.4.2-4Bj9qAMGkaiKk1BoHEFaMr
    fuzzy-0.1.0.1-3umwirlK62cDpGVvrxIkCD ghc-9.0.1
    ghc-api-compat-8.6.1-3GYFFbfr2XZ391lwrGN6OF ghc-boot-9.0.1
    ghc-boot-th-9.0.1 ghc-check-0.5.0.6-7jcm9k4LcMfLJMpu5hXh6J
    ghc-exactprint-0.6.4-Jq3am1Ii8JGLvQtr5sYAAC
    ghc-paths-0.1.0.12-D0EghxpsajHHuX2KoHY7KF
    ghc-trace-events-0.1.2.3-H9i6ubksa059TveTClHHiR
    haddock-library-1.10.0-AH40fvvhYO743tScQAJNNL
    hashable-1.3.3.0-LgC2GKp34OLEabneGtyuCb
    heapsize-0.3.0.1-CXFDC3TxsxAL2wypw872g2
    hie-bios-0.7.5-2gMfV7oZXKs5ApEhmvO5fB
    hie-compat-0.2.0.0-HHVbuGAk8zeLJ4sWoPjDO6
    hiedb-0.4.0.0-1BSxAHaHZec6iv5Y1DSLA0
    hls-graph-1.4.0.0-1Sl8YxUdIWNEbwjdLxg1r4
    hls-plugin-api-1.1.0.2-7DLcY7daEJQ1IplTXJ4dg4
    hslogger-1.3.1.0-JAhc4Ar1GDvIfwJ4Adg5iA
    implicit-hie-cradle-0.3.0.5-AVzNNQortwjEfb7jQeW2Hy
    lens-5.0.1-KAh7DAnq23eK3Mb3yHYdKP
    lsp-1.2.0.0-5BxOf7csNHOJ3TnR1NvuDa
    lsp-types-1.2.0.0-G18BczNZ0nd6xEr0sTdQae mtl-2.2.2
    network-uri-2.6.4.1-DJOF1HMaUfXCJujDIgDzpa
    opentelemetry-0.7.0-8yxFJrhLWJV41pFOlyHswq
    optparse-applicative-0.16.1.0-GAf19vjqBowD5QTDnxMOQQ
    parallel-3.2.2.0-G9JTeCQCHda2yggytvFxi6
    prettyprinter-1.7.1-H8w7nEQ9gADDN8kKWOcoI2
    prettyprinter-ansi-terminal-1.1.3-FNg2NOP19YgtKer6LlveS
    regex-tdfa-1.3.1.1-8KBKH3EsotI2v3BWqoG8PB
    retrie-1.0.0.0-Dhv3RHFTtSGATAM4mxrYiH
    rope-utf16-splay-0.3.2.0-LcUEqUn3rz88YWlwi5fbaF
    safe-0.3.19-BCcHjTM7bV690cTfMWPidj
    safe-exceptions-0.1.7.2-5DVwwbCg16s2HJ80b8QaaD
    sorted-list-0.2.1.0-GAuY2s8imm748N24vRN1OU
    sqlite-simple-0.4.18.0-DeucdE8eSmf2UeVKv1fpHF stm-2.5.0.0
    syb-0.7.2.1-JJZ7ElOKhr6qvmtx8wPbK text-1.2.4.1 time-1.9.3
    transformers-0.5.6.2 unix-2.7.2.2
    unliftio-0.2.20-3jQQWOhTCIOD2o7wzDHAMp
    unliftio-core-0.2.0.1-2baD1vXgUkB5a1NRn2rSLN
    unordered-containers-0.2.14.0-Wie4T3gD5k18ShmuaDNll
    utf8-string-1.0.2-FSV4F6pxd5y7PjtRkbEpDf
    vector-0.12.3.1-KJ02XewdvWJHGa2GVFsQSX

haddock-interfaces:   /usr/share/doc/haskell-ghcide/html/ghcide.haddock
haddock-html:         /usr/share/doc/haskell-ghcide/html
' | '/usr/bin/ghc-pkg' 'update' '--force' '-' '--global' '--no-user-package-db' "$@"

